Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.webgui.web.converter
Class RoleStringConverter

    java.lang.Object
      kieker.webgui.web.converter.RoleStringConverter

All Implemented Interfaces:
  javax.faces.convert.Converter

    public final class RoleStringConverter

extends Object
implements javax.faces.convert.Converter

This converter can convert between instances of `String` and `Role`. This is necessary in the JSF context.

Author:
  Nils Christian Ehmke

Constructor Summary
`RoleStringConverter()` Creates a new instance of this class.

Method Summary
`Object` | `getAsObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent comp, String str)`
`String` | `getAsString(javax.faces.context.FacesContext context, javax.faces.component.UIComponent comp, Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoleStringConverter

    public RoleStringConverter()

  Creates a new instance of this class. Do not use this constructor. This converter is JSF managed.

Method Detail

### getAsObject

    public Object getAsObject(javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent comp,
                              String str)

  Specified by:
    `getAsObject` in interface `javax.faces.convert.Converter`

### getAsString

    public String getAsString(javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent comp,
                              Object obj)

  Specified by:
    `getAsString` in interface `javax.faces.convert.Converter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All rights reserved.